import com.alicebiometrics.onboarding.auth.AuthenticationError

class TransformationTools {
    companion object {
        fun stringFromSandboxError(sandboxError: AuthenticationError): String {
            when (sandboxError) {
                AuthenticationError.INVALIDSANDBOXTOKEN -> return "Invalid Sandbox Token"
                AuthenticationError.CLIENTERROR -> return "Client error"
                AuthenticationError.SERVERERROR -> return "clientError"
                AuthenticationError.UNKNOWNERROR -> return "Unknown Error"
                AuthenticationError.ENCODINGERROR -> return "Encoding Error"
                AuthenticationError.CONNECTIONERROR -> return "Connection Error"
                else -> return "Unknown Error"
            }
        }
    }
}
